"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.taskRepositoryFactory = exports.TaskRepositoryFactory = void 0;
var _TaskRepository = require("./TaskRepository");
class TaskRepositoryFactory {
  cache = new Map();
  getRepository(taskId) {
    const cacheKey = this.getCacheKey(taskId);
    if (!this.cache.has(cacheKey)) {
      this.cache.set(cacheKey, new _TaskRepository.TaskRepository());
    }
    return this.cache.get(cacheKey);
  }
  getCacheKey(taskId) {
    return taskId;
  }
}
exports.TaskRepositoryFactory = TaskRepositoryFactory;
const taskRepositoryFactory = exports.taskRepositoryFactory = new TaskRepositoryFactory();

//# sourceMappingURL=TaskRepositoryFactory.js.map